post
https://app-{domain}-std-{region}-api-01.azurewebsites.net/api/flatfile-integrations
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
The Flat File API is designed to handle the following file types:
- XLSX
- When using an XLSX file, a table will be uploaded to Compyl for each Sheet. The tables will inherit the Sheet Names. For example, if you have a sheet named "Products", a [FlatFiles].[Products] table will be added to your Compyl environment.
- CSV
- When using a CSV file, a single table will be loaded to Compyl based on the FileName parameter passed via the Request Body.
Note
- The
operationTypeparameter requires quotation marks and is case sensitive: "Append" or "Replace"- First time uploads should always use "Replace"
200